Get event-add status
/v0.4/events/event-request-status/{job_id}/Poll for the status of a submitted event-add job.
Job Lifecycle:
pending- Created, waiting to startprocessing- Actively searching for and adding eventscompleted- Finished successfully with resultsfailed- Error occurredtimeout- Took longer than 3 minutes
Pass Authorization: Bearer <api_key>. Preferred for new integrations.
In: header
Path Parameters
The job ID returned from /v0.4/events/event-request-add
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v0.4/events/event-request-status/550e8400-e29b-41d4-a716-446655440000/" \ -H "Authorization: Bearer YOUR_API_KEY"{ "job_id": "550e8400-e29b-41d4-a716-446655440000", "status": "completed", "created_at": "2024-01-15T10:30:00Z", "search_query": "Taylor Swift Madison Square Garden", "started_at": "2024-01-15T10:30:05Z", "completed_at": "2024-01-15T10:31:30Z", "events_added": 3, "events_updated": 2, "message": "Found 3 new events & 2 already on SeatData", "error": "Job timed out - took longer than 3 minutes", "response_time_ms": 85000, "expired": false}Request event add POST
Submit a search query to find and add events to the SeatData platform. Returns a job ID used to check status. **Notes:** - Maximum 5 simultaneous jobs (pending or processing) per user - Maximum query length: 200 characters - Allowed characters: alphanumeric, spaces, basic punctuation (`a-zA-Z0-9 -_.,'"&`)
Download daily event CSV GET
Download the daily event catalog CSV file. No charge per call (subject to active subscriptions). **Subscription requirements:** - Active API subscription - Active Daily Event CSV subscription **Date restrictions:** - Defaults to the latest available CSV - Cannot request dates older than 30 days